package org.xyzh.common.core.domain;

/**
 * @description    LoginParam.java文件描述 登录参数
 * @filename    LoginParam.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-28
 */
public class LoginParam {
    
    /**
     * @description   邮箱
     * @author    yslg
     * @since 2025-09-28
     */
    private String email;

    /**
     * @description   用户名
     * @author    yslg
     * @since 2025-09-28
     */
    private String username;

    /**
     * @description   手机号
     * @author    yslg
     * @since 2025-09-28
     */
    private String phone;

    /**
     * @description   微信ID
     * @author    yslg
     * @since 2025-09-28
     */
    private String wechatID;

    /**
     * @description   密码
     * @author    yslg
     * @since 2025-09-28
     */
    private String password;

    /**
     * @description   验证码
     * @author    yslg
     * @since 2025-09-28
     */
    private String captcha;

    /**
     * @description   登录类型 (email/username/phone/wechat)
     * @author    yslg
     * @since 2025-09-28
     */
    private String loginType;

    /**
     * @description   记住我
     * @author    yslg
     * @since 2025-09-28
     */
    private boolean rememberMe;

    /**
     * @description    获取邮箱
     * @author    yslg
     * @since 2025-09-28
     */
    public String getEmail() {
        return email;
    }

    /**
     * @description    设置邮箱
     * @author    yslg
     * @since 2025-09-28
     */
    public void setEmail(String email) {
        this.email = email;
    }

    /**
     * @description    获取用户名
     * @author    yslg
     * @since 2025-09-28
     */
    public String getUsername() {
        return username;
    }

    /**
     * @description    设置用户名
     * @author    yslg
     * @since 2025-09-28
     */
    public void setUsername(String username) {
        this.username = username;
    }

    /**
     * @description    获取手机号
     * @author    yslg
     * @since 2025-09-28
     */
    public String getPhone() {
        return phone;
    }

    /**
     * @description    设置手机号
     * @author    yslg
     * @since 2025-09-28
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    /**
     * @description    获取微信ID
     * @author    yslg
     * @since 2025-09-28
     */
    public String getWechatID() {
        return wechatID;
    }

    /**
     * @description    设置微信ID
     * @author    yslg
     * @since 2025-09-28
     */
    public void setWechatID(String wechatID) {
        this.wechatID = wechatID;
    }

    /**
     * @description    获取密码
     * @author    yslg
     * @since 2025-09-28
     */
    public String getPassword() {
        return password;
    }

    /**
     * @description    设置密码
     * @author    yslg
     * @since 2025-09-28
     */
    public void setPassword(String password) {
        this.password = password;
    }

    /**
     * @description    获取验证码
     * @author    yslg
     * @since 2025-09-28
     */
    public String getCaptcha() {
        return captcha;
    }

    /**
     * @description    设置验证码
     * @author    yslg
     * @since 2025-09-28
     */
    public void setCaptcha(String captcha) {
        this.captcha = captcha;
    }

    /**
     * @description    获取登录类型
     * @author    yslg
     * @since 2025-09-28
     */
    public String getLoginType() {
        return loginType;
    }

    /**
     * @description    设置登录类型
     * @author    yslg
     * @since 2025-09-28
     */
    public void setLoginType(String loginType) {
        this.loginType = loginType;
    }

    /**
     * @description    获取记住我
     * @author    yslg
     * @since 2025-09-28
     */
    public boolean isRememberMe() {
        return rememberMe;
    }

    /**
     * @description    设置记住我
     * @author    yslg
     * @since 2025-09-28
     */
    public void setRememberMe(boolean rememberMe) {
        this.rememberMe = rememberMe;
    }
}
